package com.muyu.domain;

import com.muyu.domain.model.ActivityTeamInfoAddModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor

public class ActivityTeamInfo {
  /**
   * 主键
   */
  private long id;
  /**
   * 拼团名称
   */
  private String name;
  /**
   * 商品ID
   */
  private long projectId;
  /**
   * 商品活动图
   */
  private String productImage;
  /**
   * 活动简介
   */
  private String introduction;
  /**
   * 单位
   */
  private String unit;
  /**
   * 轮播图
   */
  private String imageList;
  /**
   * 活动结束时间
   */
  private Date endTime;
  /**
   * 活动排序
   */
  private long sort;
  /**
   * 活动详情
   */
  private String content;
  /**
   * 活动状态
   */
  private String status;
  /**
   * 策略类型
   */
  private String strategyType;
  /**
   * 策略ID
   */
  private long strategyId;



    public ActivityTeamInfo  buildList(){
    return ActivityTeamInfo.builder()
            .status(this.status)
            .build();
  }

}
