package com.muyu.domain;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamOpenInfo {
  /**
   * 主键
   */
  private long id;
  /**
   * 团购活动ID
   */
  private long teamId;
  /**
   * 团购类型
   */
  private String teamType;
  /**
   * 团购策略
   */
  private String teamStrategyId;
  /**
   * 参团类型
   */
  private String executiveType;
  /**
   * 结束团购时间
   */
  private Date endTime;
  /**
   * 商品ID
   */
  private String productId;
  /**
   * 商品名称
   */
  private String productName;
  /**
   * 商品规格
   */
  private String productSku;
  /**
   * 开团标识
   */
  private String key;
  /**
   * 订单ID
   */
  private String orderId;
  /**
   * 开团状态
   */
  private String status;


}
