package com.muyu.domain;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamStrategyExemption {
  /**
   * 主键
   */
  private long id;
  /**
   * 持续时间
   */
  private long duration;
  /**
   * 免单人数
   */
  private long exemptionNumber;
  /**
   * 最大购买量
   */
  private long maxBuy;
  /**
   * 单次购买量
   */
  private long oneBuy;
  /**
   * 虚拟人数
   */
  private long virtualNumber;
  /**
   * 面单类型
   */
  private String type;
  /**
   * 返款阶梯
   */
  private String ruleInfo;
  /**
   * 策略状态
   */
  private String status;

}
