package com.muyu.common.core.enums;

/**
 * @program: cloud-server
 * @description: 参团类型
 * @author: CuiFu Bo
 * @create: 2024-11-21 15:12
 **/

public enum TeamOpenTypeEnums {


    OPEN_TEAM("open_team","开团"),
    IN_TEAM("in_team","参团");
    private final String code;

    private final String label;

    public String code() {
        return code;
    }

    public String label() {
        return label;
    }

    TeamOpenTypeEnums(String code, String label) {
        this.code = code;
        this.label = label;
    }
}

