package com.muyu.domain;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ActivityTeamProductSkuInfo {
  /**
   * 主键
   */
  private long id;
  /**
   * 活动ID
   */
  private long teamId;
  /**
   * 商品ID
   */
  private Long productId;
  /**
   * 商品SKU
   */
  private String productSku;
  /**
   * 商品库存
   */
  private Long productStock;
  /**
   * 拼团库存
   */
  private Long teamStock;
  /**
   * 拼团价格
   */
  private BigDecimal teamPrice;


}
