package com.muyu.domain;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamStrategyExemptionHundred {
  /**
   * 主键
   */
  private long id;
  /**
   * 持续时间
   */
  private long duration;
  /**
   * 最大购买量
   */
  private long maxBuy;
  /**
   * 单次购买量
   */
  private long oneBuy;
  /**
   * 虚拟人数
   */
  private long virtualNumber;
  /**
   * 策略状态
   */
  private String status;
  /**
   * 规则信息
   */
  private String ruleInfo;



}
