package com.muyu.domain.model;

import com.muyu.common.core.web.model.QueryModel;
import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 团购活动列表查询模型
 * @author: CuiFu Bo
 * @create: 2024-11-20 20:05
 **/
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class ActivityTeamInfoListQueryModel extends QueryModel<ActivityTeamInfoListQueryModel> {

    /**
     * 搜索关键词
     */
    private String keyWord;
    /**
     * 状态
     */
    private String status;
}
