package com.muyu.domain.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *  商品库存
 * @author: CuiFu Bo
 * @create: 2024-11-21 16:54
 **/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class TeamProductStockModel {
    /**
     * 团购库存
     */
    private Long teamStock;
    /**
     * 剩余库存
     */
    private Long remainStock;
}
