package com.muyu.domain.req;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * 商品Sku
 *
 * @author: CuiFu Bo
 * @create: 2024-11-23 01:18
 **/
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor

public class ActivitInfoSkuAddReq {
    /**
     * 商品规格
     */
    private String productSku;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团库存
     */
    private Long teamStock;
}
